"""Tagit GUI.

Exports *VMainWindow*. That's the top widget to be created
by an app.

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# IMPORTS
from kivy.resources import resource_add_path
from os.path import dirname, join
import kivy

# INNER-MODULE IMPORTS
from wx_adapter import decorate_widget

# EXPORTS
__all__ = ()

## CODE ##

# Check kivy version
kivy.require('1.9.1')

# Enable kivy Widget changes
decorate_widget()

# Add resources
resource_add_path(join(dirname(__file__), '..', 'resources'))

from kivy.core.text import LabelBase
LabelBase.register(name='Unifont', fn_regular='fonts/Unifont.ttf')

## EOF ##
