"""Sideboxes.

A *Sidebox* is initialized through the *on_widget_change* method. There,
it has to get the controller factories together, initialize and attach
itself to events from the mainWidget. Whenever such an event is triggered,
a content update is to be made.

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# IMPORTS

# INNER-MODULE IMPORTS
from sidebox import VSidebox
from db_management import VSidebox_DB_Management
from tags_browser import VSidebox_Tags_Browser
from tags_selection import VSidebox_Tags_Selection
from tags_cursor import VSidebox_Tags_Cursor
from tags_suggested import VSidebox_Tags_Suggested

# EXPORTS
__all__ = ('VSidebox', 'VSidebox_DB_Management', 'VSidebox_Tags_Browser', 'VSidebox_Tags_Selection', 'VSidebox_Tags_Cursor', 'VSidebox_Tags_Suggested')

## EOF ##
