"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# IMPORTS
from kivy.uix.label import Label

# INNER-MODULE IMPORTS
from sidebox import VSidebox
from ...controller.sidebox import CSidebox_Tags_Suggested

# EXPORTS
__all__ = ('VSidebox_Tags_Suggested', )

# LOAD KV

# CLASSES
class VSidebox_Tags_Suggested(Label, VSidebox):
    """Show tags to include next in the filter."""
    def __init__(self, *args, **kwargs):
        super(VSidebox_Tags_Suggested, self).__init__(*args, **kwargs)
        self.markup = True

    def on_widget_change(self, instance, widget):
        self.controller = widget.get_controller(CSidebox_Tags_Suggested, wx=self)

    def update(self, tags):
        self.text = '\n'.join(tags)


## EOF ##
